org.appng.xml.platform

## Class ActionRef

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.ActionRef

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TestBase.ActionCall

      public class ActionRef
      extends BaseObject
      implements Serializable

  A reference to a `Action`. It depends on the `Condition` and `Permissions` whether or not the referenced `Action` is being included to the page.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `async`
    `protected String` | `clientValidation`
    `protected Condition` | `condition`
    `protected String` | `eventId`
    `protected Boolean` | `forceForward`
    `protected String` | `id`
    `protected String` | `mode`
    `protected String` | `onSuccess`
    `protected Params` | `params`
    `protected Permissions` | `permissions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionRef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAsync()` If evaluating to `true`, the `Action` will be executed asynchronously.
    `String` | `getClientValidation()` If evaluating to `true`, the validation of the input-fields will be performed on the client (where possible).
    `Condition` | `getCondition()` Gets the value of the condition property.
    `String` | `getEventId()` The event-id of the referenced `Action`
    `String` | `getId()` The unique id of the referenced `Action`
    `String` | `getMode()` If the appNG-template or the application's custom templating supports some custom display mode(s), the mode can be used to control this custom behavior.
    `String` | `getOnSuccess()` The URI to forward to after successfully performing the action.
    `Params` | `getParams()` Gets the value of the params property.
    `Permissions` | `getPermissions()` Gets the value of the permissions property.
    `boolean` | `isForceForward()` If onSuccess is set, forwarding can be forced, even in case of an error
    `void` | `setAsync(String value)` Sets the value of the async property.
    `void` | `setClientValidation(String value)` Sets the value of the clientValidation property.
    `void` | `setCondition(Condition value)` Sets the value of the condition property.
    `void` | `setEventId(String value)` Sets the value of the eventId property.
    `void` | `setForceForward(Boolean value)` Sets the value of the forceForward property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setMode(String value)` Sets the value of the mode property.
    `void` | `setOnSuccess(String value)` Sets the value of the onSuccess property.
    `void` | `setParams(Params value)` Sets the value of the params property.
    `void` | `setPermissions(Permissions value)` Sets the value of the permissions property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### params

          protected Params params

    - #### condition

          protected Condition condition

    - #### permissions

          protected Permissions permissions

    - #### id

          protected String id

    - #### eventId

          protected String eventId

    - #### onSuccess

          protected String onSuccess

    - #### mode

          protected String mode

    - #### forceForward

          protected Boolean forceForward

    - #### async

          protected String async

    - #### clientValidation

          protected String clientValidation

  - ### Constructor Detail

    - #### ActionRef

          public ActionRef()

  - ### Method Detail

    - #### getParams

          public Params getParams()

      Gets the value of the params property.
      Returns:
        possible object is `Params`

    - #### setParams

          public void setParams(Params value)

      Sets the value of the params property.
      Parameters:
        `value` - allowed object is `Params`

    - #### getCondition

          public Condition getCondition()

      Gets the value of the condition property.
      Returns:
        possible object is `Condition`

    - #### setCondition

          public void setCondition(Condition value)

      Sets the value of the condition property.
      Parameters:
        `value` - allowed object is `Condition`

    - #### getPermissions

          public Permissions getPermissions()

      Gets the value of the permissions property.
      Returns:
        possible object is `Permissions`

    - #### setPermissions

          public void setPermissions(Permissions value)

      Sets the value of the permissions property.
      Parameters:
        `value` - allowed object is `Permissions`

    - #### getId

          public String getId()

      The unique id of the referenced `Action`
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEventId

          public String getEventId()

      The event-id of the referenced `Action`
      Returns:
        possible object is `String`

    - #### setEventId

          public void setEventId(String value)

      Sets the value of the eventId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOnSuccess

          public String getOnSuccess()

      The URI to forward to after successfully performing the action.
      Returns:
        possible object is `String`

    - #### setOnSuccess

          public void setOnSuccess(String value)

      Sets the value of the onSuccess property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMode

          public String getMode()

      If the appNG-template or the application's custom templating supports some custom display mode(s), the mode can be used to control this custom behavior.
      Returns:
        possible object is `String`

    - #### setMode

          public void setMode(String value)

      Sets the value of the mode property.
      Parameters:
        `value` - allowed object is `String`

    - #### isForceForward

          public boolean isForceForward()

      If onSuccess is set, forwarding can be forced, even in case of an error
      Returns:
        possible object is `Boolean`

    - #### setForceForward

          public void setForceForward(Boolean value)

      Sets the value of the forceForward property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getAsync

          public String getAsync()

      If evaluating to `true`, the `Action` will be executed asynchronously.
      Returns:
        possible object is `String`

    - #### setAsync

          public void setAsync(String value)

      Sets the value of the async property.
      Parameters:
        `value` - allowed object is `String`

    - #### getClientValidation

          public String getClientValidation()

      If evaluating to `true`, the validation of the input-fields will be performed on the client (where possible).
      Returns:
        possible object is `String`

    - #### setClientValidation

          public void setClientValidation(String value)

      Sets the value of the clientValidation property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.